Skip to main content
GET
/
valorant
/
v3
/
leaderboard
/
{affinity}
/
{platform}
Get leaderboard (v3)
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v3/leaderboard/{affinity}/{platform}
import requests

url = "https://api.henrikdev.xyz/valorant/v3/leaderboard/{affinity}/{platform}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v3/leaderboard/{affinity}/{platform}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "players": [
      {
        "card": "<string>",
        "is_anonymized": true,
        "is_banned": true,
        "leaderboard_rank": 123,
        "name": "<string>",
        "rr": 123,
        "tag": "<string>",
        "tier": 123,
        "title": "<string>",
        "updated_at": "<string>",
        "wins": 123,
        "puuid": "<string>"
      }
    ],
    "thresholds": [
      {
        "start_index": 123,
        "threshold": 123,
        "tier": {
          "id": 123,
          "name": "<string>"
        }
      }
    ],
    "updated_at": "<string>"
  },
  "results": {
    "after": 123,
    "before": 123,
    "returned": 123,
    "total": 123
  },
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

affinity
string
required

Region/affinity (e.g., na, eu, ap, kr)

platform
string
required

Platform (pc, console)

Query Parameters

season
string

Season ID (optional)

size
integer<int32>

Number of results per page (optional)

page
integer<int32>

Page number (optional)

name
string

Player name to search for (optional)

tag
string

Player tag to search for (optional)

Response

Leaderboard retrieved successfully

data
object
required
results
object
required
status
integer<int32>
required
Required range: x >= 0